/*
 * Created on 07.12.2004
 *
 */

package de.renew.engine.events;

import de.renew.net.TransitionInstance;


/**
 * Notifies the user of the firing of a given {@link TransitionInstance}.
 *
 * @author Sven Offermann
 */
public class Firing extends TransitionEvent {

    /**
     * Creates a new {@link Firing} for a given {@link TransitionInstance}.
     *
     * @param transitionInstance the {@link TransitionInstance} this event is about
     */
    public Firing(TransitionInstance transitionInstance) {
        super(transitionInstance);
    }

    @Override
    public String toString() {
        return "Firing " + getTransitionInstance();
    }
}